<?php

namespace App\Policies;

use App\Models\User;
use App\Models\WindedSerialValidationError;

class WindedSerialValidationErrorPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any WindedSerialValidationError');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('view WindedSerialValidationError');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create WindedSerialValidationError');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('update WindedSerialValidationError');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('delete WindedSerialValidationError');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any WindedSerialValidationError');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('restore WindedSerialValidationError');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any WindedSerialValidationError');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('replicate WindedSerialValidationError');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder WindedSerialValidationError');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, WindedSerialValidationError $windedserialvalidationerror): bool
    {
        return $user->checkPermissionTo('force-delete WindedSerialValidationError');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any WindedSerialValidationError');
    }
}
